//////////////////////////////////////////////////////////////////////
//
// This file is part of BeeBEEP.
//
// BeeBEEP is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published
// by the Free Software Foundation, either version 3 of the License,
// or (at your option) any later version.
//
// BeeBEEP is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with BeeBEEP.  If not, see <http://www.gnu.org/licenses/>.
//
// Author: Marco Mastroddi <marco.mastroddi(AT)gmail.com>
//
// $Id: Tips.h 444 2015-08-07 14:03:56Z mastroddi $
//
//////////////////////////////////////////////////////////////////////

#ifndef BEEBEEP_TIPS_H
#define BEEBEEP_TIPS_H

const int BeeBeepTipsSize = 8;

static const char* BeeBeepTips[ BeeBeepTipsSize ] =
{
  QT_TRANSLATE_NOOP( "Tips", "You can switch between chats with CTRL+TAB if there are new messages availables." ),
  QT_TRANSLATE_NOOP( "Tips", "If you want a <b>bold text</b> write a *bold text*." ),
  QT_TRANSLATE_NOOP( "Tips", "If you want an <i>italic text</i> write a /italic text/." ),
  QT_TRANSLATE_NOOP( "Tips", "If you want an <u>underlined text</u> write a _underlined text_." ),
  QT_TRANSLATE_NOOP( "Tips", "You can search previous sent message in the history using the CTRL+Up e CTRL+Down keys." ),
  /* 5 */
  QT_TRANSLATE_NOOP( "Tips", "You can drop files to active chat and send them to members." ),
  QT_TRANSLATE_NOOP( "Tips", "You can select multiple files from network shares and download them simultaneously with a right click." ),
  QT_TRANSLATE_NOOP( "Tips", "You can disable message notification from a group right clicking on its name on the list." )

};

const int BeeBeepFactsSize = 36;

static const char* BeeBeepFacts[ BeeBeepFactsSize ] =
{
  QT_TRANSLATE_NOOP( "Tips", "<i>Free is that mind guided by the fantasy.</i> (Marco Mastroddi)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Stay hungry, stay foolish.</i> (Steve Jobs)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>There is always one more bug.</i> (Lubarsky's Law)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>If anything can go wrong, it will.</i> (Murphy's Law)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>If a program is useful, it will have to be changed.</i> (Law of Computer Programming)" ),
  /* 5 */
  QT_TRANSLATE_NOOP( "Tips", "<i>Intellectuals solve problems; geniuses prevent them.</i> (Albert Einstein)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>What does not destroy me, makes me strong.</i> (Friedrich Nietzsche)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>I am not young enough to know everything.</i> (Oscar Wilde)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>A lack of doubt leads to a lack of creativity.</i> (Evert Jan Ouweneel)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Fear is the path to the dark side.</i> (Joda)" ),
  /* 10 */
  QT_TRANSLATE_NOOP( "Tips", "<i>I dream my painting and then paint my dream.</i> (Vincent Van Gogh)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Everything you can imagine is real.</i> (Pablo Picasso)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>All truths are easy to understand once they are discovered; the point is to discover them.</i> (Galileo Galilei)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Truth prevails where opinions are free.</i> (Thomas Paine)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>I've seen things you people wouldn't believe...</i> (Batty)" ),
  /* 15 */
  QT_TRANSLATE_NOOP( "Tips", "<i>A man's character is his fate.</i> (Eraclitus)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>A different language is a different vision of life.</i> (Federico Fellini)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Dum loquimur fugerit invida aetas: carpe diem, quam minimum credula postero</i> (Orazio)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Every day in Africa a gazelle wakes up. "
      "It knows it must run faster than the fastest lion or it will be killed. "
      "Every morning a lion wakes up. It knows that it must outrun the slowest gazelle or it will starve to death. "
      "It doesn't matter whether you are a lion or a gazelle. "
      "When the sun comes up, you better be running.</i> (Abe Gubegna)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Okay, Houston, we've had a problem here.</i> (John L. Swigert)" ),
  /* 20 */
  QT_TRANSLATE_NOOP( "Tips", "<i>Second star to the right, and straight on till morning.</i> (Peter Pan)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Necessity is the last and strongest weapon.</i> (Titus Livius)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Old-aged people are not wise, they are simply careful.</i> (Ernest Hemingway)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>A journey of a thousand miles begins with a single step.</i> (Confucius)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Life without the courage for death is slavery.</i> (Lucius Annaeus Seneca)" ),
  /* 25 */
  QT_TRANSLATE_NOOP( "Tips", "<i>I can calculate the motion of heavenly bodies, but not the madness of people.</i> (Isaac Newton)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Wonder is the beginning of wisdom.</i> (Socrates)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>No wise man ever wished to be younger.</i> (Jonathan Swift)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>The only man who never makes a mistake is the man who never does anything.</i> (Theodore Roosevelt)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Attitude is a little thing that makes a big difference.</i> (Winston Churchill)" ),
  /* 30 */
  QT_TRANSLATE_NOOP( "Tips", "<i>We become what we think.</i> (Buddha)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Difficulties are things that show a person what they are.</i> (Epictetus)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>Who will guard the guards themselves?</i> (Decimus Junius Juvenal)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>A home without books is a body without soul.</i> (Marcus Tullius Cicero)" ),
  QT_TRANSLATE_NOOP( "Tips", "<i>We can not stop wishing our wishes.</i> (Arthur Schopenhauer)" ),
  /* 35 */
  QT_TRANSLATE_NOOP( "Tips", "<i>Patience is also a form of action.</i> (Auguste Rodin)" ),

};

#endif // BEEBEEP_TIPS_H
